<p align="center">
<img src="https://i.loli.net/2017/09/07/59b1367f76fdb.png" alt="Material Render Phone">
</p>

<h1 align="center"><a href="https://material.viosey.com" target="_blank">Material Theme</a></h1>

> Nature, Pure | 原质，纯粹

<p align="center">
<img alt="Version" src="https://img.shields.io/badge/version-1.5.2-757575.svg?style=flat-square"/>
<a href="https://viosey.com"><img alt="Author" src="https://img.shields.io/badge/author-Viosey-red.svg?style=flat-square"/></a>
<a href="https://hexo.io"><img alt="Hexo" src="https://img.shields.io/badge/hexo-3.0+-0e83cd.svg?style=flat-square"/></a>
<a href="https://nodejs.org/"><img alt="node.js" src="https://img.shields.io/badge/node.js-6.0%2B-43853d.svg?style=flat-square"/></a>
<a href="https://travis-ci.org/viosey/hexo-theme-material"><img alt="Build Status" src="https://img.shields.io/travis/viosey/hexo-theme-material.svg?style=flat-square"/></a>
<a href="https://www.npmjs.com/package/hexo-material"><img alt="npm" src="https://img.shields.io/npm/dt/hexo-material.svg?style=flat-square"/></a>
</p>


## Contents 目录

- [Introduction 介绍](#introduction-介绍)
- [Demo 演示](#demo-演示)
- [Download 下载](#download-下载)
- [Docs 文档](#docs-文档)
- [Contributing 贡献](#contributing-贡献)
- [License 许可证](#license-许可证)
- [Changelog 更新日志](#changelog-更新日志)
- [Support 支持](#support-支持)
- [Render 渲染](#render-渲染)


## Introduction 介绍

An elegant, Pure & Material Design Theme for Hexo.  
优雅、纯粹、质感的 Hexo 主题。


## Demo 演示

- [Viosey's Blog](https://blog.viosey.com)
- [neoFelhz's Blog](https://blog.nfz.moe)
- [liyin's Blog](https://liyin.date)


## Download 下载

#### [Download latest release version](https://github.com/viosey/hexo-theme-material/releases/latest)

> Should be the most stable. Recommended for most users.  
> 最稳定的版本，适合所有的用户。

#### [Download latest canary branch](https://github.com/viosey/hexo-theme-material/archive/canary.zip)

> Maybe unstable, but includes latest features. Recommended for developers.  
> 包含最新的、尚在开发中的特性，可能不稳定；适合进阶用户。

#### [Download other version](https://github.com/viosey/hexo-theme-material/releases)

> You can decide which version to use. May no longer provide support.  
> 你可以自己决定想要使用的版本；部分版本可能不再提供技术支持。

#### [Download using git](https://github.com/viosey/hexo-theme-material/releases)

> You can using git to choose which branch you want. For developer only.  
> 你可以自己决定想要使用的分支；仅限开发者使用。

```bash
cd themes
git clone https://github.com/viosey/hexo-theme-material.git material
cd material
git checkout {branch/tags name}
```

----

> ATTENTION! As the theme is developing, the theme config template will changes. To avoid conflict for users who are using `git pull` to upgrade the theme, we save the theme config template as `_config.template.yml`. You should make a copy of it and rename to `_config.yml`, then configure `_config.yml` when using the theme.  
> **注意！** 在主题的开发迭代过程中，主题的配置文件模板 可能会改动。为了避免使用 `git pull` 更新主题的用户出现冲突，我们将 主题配置文件模板 命名为 `_config.template.yml`。配置主题时，你应该拷贝一份 `_config.template.yml` 并将其重命名为 `_config.yml`。

## Docs 文档

[Material Theme Docs](https://material.viosey.com/docs/)

[Material 主题文档](https://material.viosey.com/docs/)

> [Docs Source Code](https://github.com/neko-dev/material-theme-docs)


## Contributing 贡献

All kinds of contributions (enhancements, new features, documentation & code improvements, issues & bugs reporting) are welcome.

Before you start your contributing, please read the [Contributing Rules Wiki](https://github.com/viosey/hexo-theme-material/wiki) first.

欢迎各种形式的贡献，包括但不限于优化，添加功能，文档 & 代码的改进，问题和 bugs 的报告。期待你的 `Pull Request`。

在参与贡献之前，请阅读[项目贡献 Wiki](https://github.com/viosey/hexo-theme-material/wiki)，了解如何为 Material 主题贡献。

## Changelog 更新日志

[View our release notes](https://github.com/viosey/hexo-theme-material/releases)

[阅读我们的更新日志](https://github.com/viosey/hexo-theme-material/releases)


## License 许可证

[![license](https://img.shields.io/github/license/viosey/hexo-theme-material.svg?style=flat-square)](https://github.com/viosey/hexo-theme-material/blob/master/LICENSE)

Open sourced under the GPL v3.0 license.

根据 GPL V3.0 许可证开源。

## Support 支持

### BroswerStack

![BrowserStack Status](https://www.browserstack.com/automate/badge.svg?badge_key=V1VkWmJMRjJqcHBjN1BIVFRlNzExM05XUk5hemcydEpZTHRBdGd5V244ST0tLTlvNklDT1NuVXFDaTh0RDBnQ3RCdXc9PQ==--c986c45d7c10a3264f46b414944d6393ba74ea22%)

Proudly using BrowserStack.

[![](https://i.loli.net/2017/09/27/59cbc16b0f8b4.png)](https://www.browserstack.com/)

> **BrowserStack** is a cloud-based cross-browser testing tool that enables developers to test their websites across various browsers on different operating systems and mobile devices, without requiring users to install virtual machines, devices or emulators.

### jsDelivr

Thanks jsDelivr for providing MaterialCDN service.

> **jsDelivr** – Open Source CDN. free, fast, and reliable. You can using the files from GitHub or NPM and serve them using jsDelivr.

[![](https://data.jsdelivr.com/v1/package/npm/hexo-material/badge)](https://www.jsdelivr.com/package/npm/hexo-material)

[`http://cdn.jsdelivr.net/npm/hexo-material/source/`](http://cdn.jsdelivr.net/npm/hexo-material/source/)

[![](https://data.jsdelivr.com/v1/package/gh/viosey/hexo-theme-material/badge)](https://www.jsdelivr.com/package/gh/viosey/hexo-theme-material)

[`https://cdn.jsdelivr.net/gh/viosey/hexo-theme-material/source/`](https://cdn.jsdelivr.net/gh/viosey/hexo-theme-material/source/)

## Render 渲染

![Materia-overview-tiny.png](https://i.loli.net/2017/09/28/59cccb0b25520.png)
